Search Property Definitions
curl --request GET \
--url https://api.merchantops.ai/api/property-definitions/searchimport requests
url = "https://api.merchantops.ai/api/property-definitions/search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.merchantops.ai/api/property-definitions/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"key": "<string>",
"name": "<string>",
"type": {},
"aiCanAddANewValue": true,
"aiMatchingGuidance": "<string>",
"attributeConstraint": "<string>",
"category": "<string>",
"createdAt": "<string>",
"createdBy": "<string>",
"description": [
{}
],
"display_group": "<string>",
"display_order": 0,
"enrichment_config": {},
"facet_value_sort": "asc",
"identifier_type": "<string>",
"inputHint": "<string>",
"isActive": true,
"isFacetable": false,
"isMultiValue": false,
"isRequired": false,
"isSearchable": false,
"isVisibleInStorefront": true,
"is_common": false,
"is_entry_field": false,
"is_identifier": false,
"is_system": false,
"label": [
{}
],
"lastModifiedAt": "<string>",
"lastModifiedBy": "<string>",
"level": "<string>",
"mustBeAccurateToAssign": false,
"prompt_name": "<string>",
"scope": "catalog",
"ui_widget": "text_input",
"valueCount": 0,
"visibility": "list_and_detail"
}
],
"query": "<string>",
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Property Definitions
Search Property Definitions
Search PropertyDefinitions using Atlas Search with regex fallback.
Authentication Required: Requires property_definition:read permission.
Results are automatically filtered to the user’s organization.
GET
/
api
/
property-definitions
/
search
Search Property Definitions
Query Parameters
Search query
Maximum results
Required range:
1 <= x <= 100